Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.servlet.jsp
Class PortalJsp

    java.lang.Object
      org.jboss.portal.core.servlet.jsp.PortalJsp

All Implemented Interfaces:
  javax.servlet.jsp.HttpJspPage, javax.servlet.jsp.JspPage, javax.servlet.Servlet

    public abstract class PortalJsp

extends java.lang.Object
implements javax.servlet.jsp.HttpJspPage

Any JSP page using the JBoss library should extend that class. It is done by adding the following line at the top of the JSP <%@ page language="java" extends="org.jboss.portal.core.servlet.jsp.PortalJsp" %>

Author:
  Thomas Heute $Revision: 8786 $

Field Summary
`static java.lang.ThreadLocal` | `contextStack` Stack of context, needed by expression language static methods
`static java.lang.String` | `CTX_REQUEST` Key for context attribute in the portlet request.
`static org.jboss.logging.Logger` | `logger` To log JSP related information
`static java.lang.ThreadLocal` | `request` HttpServletRequest so that it can be accessed in expression language static methods

Constructor Summary
`PortalJsp()`

Method Summary
`abstract void` | `_jspService(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)` HttpJspPage implementation
`void` | `destroy()` HttpJspPage implementation
`javax.servlet.ServletConfig` | `getServletConfig()` HttpJspPage implementation
`java.lang.String` | `getServletInfo()` HttpJspPage implementation
`void` | `init(javax.servlet.ServletConfig config)` HttpJspPage implementation
`void` | `jspDestroy()` HttpJspPage implementation
`void` | `jspInit()` HttpJspPage implementation
`protected void` | `log(java.lang.String msg)` For Jasper which seems to want a log method in the generated JSP.
`void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` HttpJspPage implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CTX_REQUEST

    public static final java.lang.String CTX_REQUEST

  Key for context attribute in the portlet request.

  See Also:
    Constant Field Values

### request

    public static final java.lang.ThreadLocal request

  HttpServletRequest so that it can be accessed in expression language static methods

### contextStack

    public static final java.lang.ThreadLocal contextStack

  Stack of context, needed by expression language static methods

### logger

    public static org.jboss.logging.Logger logger

  To log JSP related information

Constructor Detail

### PortalJsp

    public PortalJsp()

Method Detail

### _jspService

    public abstract void _jspService(javax.servlet.http.HttpServletRequest arg0,
                                     javax.servlet.http.HttpServletResponse arg1)
                              throws javax.servlet.ServletException,
                                     java.io.IOException

  HttpJspPage implementation

  Specified by:
    `_jspService` in interface `javax.servlet.jsp.HttpJspPage`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `HttpJspPage._jspService(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### jspInit

    public void jspInit()

  HttpJspPage implementation

  Specified by:
    `jspInit` in interface `javax.servlet.jsp.JspPage`
  See Also:
    `JspPage.jspInit()`

### jspDestroy

    public void jspDestroy()

  HttpJspPage implementation

  Specified by:
    `jspDestroy` in interface `javax.servlet.jsp.JspPage`
  See Also:
    `JspPage.jspDestroy()`

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  HttpJspPage implementation

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`
  See Also:
    `Servlet.init(javax.servlet.ServletConfig)`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  HttpJspPage implementation

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`
  See Also:
    `Servlet.getServletConfig()`

### service

    public void service(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  HttpJspPage implementation

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `Servlet.service(javax.servlet.ServletRequest,javax.servlet.ServletResponse)`

### getServletInfo

    public java.lang.String getServletInfo()

  HttpJspPage implementation

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  See Also:
    `Servlet.getServletInfo()`

### destroy

    public void destroy()

  HttpJspPage implementation

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  See Also:
    `Servlet.destroy()`

### log

    protected final void log(java.lang.String msg)

  For Jasper which seems to want a log method in the generated JSP.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD